{# @var ea \EasyCorp\Bundle\EasyAdminBundle\Context\AdminContext #}
{# @var entity \EasyCorp\Bundle\EasyAdminBundle\Dto\EntityDto #}
{% extends ea.templatePath('layout') %}
{% import "admin_crud/menu/node_element.html.twig" as node %}
{% block _Menu_children_row %}
    <div id="menu-tree">
        <ul class="list-group nested-sortable" data-router-sort="{{ path('admin_dashboard') }}">
            {% for item in form.vars.data %}
                {{ node.render(item, item.parent.id) }}
            {% endfor %}
        </ul>
    </div>
{% endblock %}
{% block stylesheets %}
    {{ encore_entry_link_tags('menu_edit', null, 'adminBuild') }}
{% endblock %}
{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('menu_edit', null, 'adminBuild') }}

{% endblock %}
{% block main %}
    <div class="row">
        <div class="col">
            <div class="page-actions pull-right mt-4 mb-4">
                <a class=" action-index btn btn-secondary mr-3"
                   href="{{ path('admin_entity_version', {'entityClassName': app.request.get('entityClassName'), 'entityId': app.request.get('entityId'), 'eaContext': app.request.get('eaContext')}) }}">
                    Wróć do listy
                </a>
                {% if isCurrentVersion == false %}
                    <a class=" action-edit btn btn-primary mr-3"
                       href="{{ path('admin_entity_revert', {'entityClassName': app.request.get('entityClassName'), 'entityId': app.request.get('entityId'), 'id': log.id, 'eaContext': app.request.get('eaContext')}) }}">
                        Przywróć tę wersję
                    </a>
                {% endif %}
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="field-id">
                <div class="content-panel">
                    <div class="content-panel-body without-header without-footer without-padding">
                        <dl class="datalist">
                            {% for property,value in log.data %}
                                <div class="data-row with-background field-id">
                                    <dd>
                                        {{ property|trans }}
                                    </dd>
                                    <dt>
                                        {% if value is iterable %}
                                            {% for subValue in value %}
                                                {{ subValue }}
                                            {% endfor %}
                                        {% else %}
                                            {{ value ? value : '-' }}
                                        {% endif %}
                                    </dt>
                                </div>
                            {% endfor %}
                        </dl>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}